Retrieve a wallet transaction | Moov Documentation
Retrieve a wallet transaction
Get details on a specific wallet transaction.
Read our wallet transactions guide to learn more.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.
Endpoint
GET /accounts/{accountID}/wallets/{walletID}/transactions/{transactionID}
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/transactions/{transactionID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var walletID string
var transactionID string
mc.GetWalletTransaction(ctx, accountID, walletID, transactionID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.walletTransactions.get({
accountID: "f0b02d73-10dc-42e6-8030-fd78fcbc114f",
walletID: "03db97f6-c308-4595-8f43-fd247f1bd3f2",
transactionID: "e0a32cf5-5758-49ba-83da-75bf02c9c6d7",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\